<?xml version="1.0"?>
<openerp>
    <data>

        <record id="pool_of_funds_amend_form_view" model="ir.ui.view">
            <field name="name">pool.of.funds.amend</field>
            <field name="model">pool.of.funds.amend</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form>
                    <sheet>
                        <group>
                            <field name="type" invisible="1"/>
                            <group colspan="4" col="4" attrs="{'invisible':[('type','!=','adjust')]}">
                                <field name="amount" colspan="4" attrs="{'required':[('type','=','adjust')]}"/><newline/>
                                <field name="transaction_date" colspan="4" attrs="{'required':[('type','=','adjust')]}"/><newline/>
                            </group>
                            <group colspan="4" col="4" attrs="{'invisible':[('type','!=','move')]}">
                                <field name="src_funds_id" colspan="4" attrs="{'required':[('type','=','move')]}" invisible="1"/><newline/>
                                <field name="moved_amount" colspan="4" attrs="{'required':[('type','=','move')]}"/><newline/>
                                <field name="dest_funds_id" colspan="4" attrs="{'required':[('type','=','move')]}" domain="[('id','!=',src_funds_id)]" options="{'no_create_edit':True}"/><newline/>
                            </group>
                            <group colspan="4" col="4">
                                <field name="remarks" colspan="4" required="1"/>
                            </group>
                        </group>
                    </sheet>
                    <footer>
                        <button name="amend_funds" string="_Submit"  attrs="{'invisible':[('type','!=','adjust')]}" type="object" class="btn btn-sm btn-primary"/>
                        <button name="move_funds" string="_Submit" attrs="{'invisible':[('type','!=','move')]}" type="object" class="btn btn-sm btn-primary"/>
                        or
                        <button name="close" string="_Close" class="oe_link" special="cancel"/>
                    </footer>
                </form>
            </field>
        </record>

        <record id="action_pool_of_funds_amend" model="ir.actions.act_window">
             <field name="name">Amend Funds</field>
             <field name="res_model">pool.of.funds.amend</field>
             <field name="type">ir.actions.act_window</field>
             <field name="view_type">form</field>
             <field name="view_mode">form</field>
             <field name="view_id" ref="pool_of_funds_amend_form_view"/>
             <field name="target">new</field>
        </record>


    </data>
</openerp>